Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::actions::join_fn Struct Reference
Inheritance diagram for ranges::actions::join_fn:

## Synopsis of methods
constexpr action_closure< join_fn > | join {}

## Public Member Functions
template<typename Rng >
join_action_value_t_< Rng > | operator() (Rng &&rng) const

## Methods

## ◆ join

constexpr action_closure<join_fn> join {}
| related

See also
  action_closure

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

join_action_value_t_<Rng> ranges::actions::join_fn::operator() | ( | Rng && | rng | ) | const

Precondition
  requires `input_range<Rng> && input_range<range_value_t<Rng>> && semiregular<join_action_value_t_<Rng>>`